### Method

# GUPnP ServiceProxyAction iterate

since: 1.6.6

#### Declaration [src]

    GUPnPServiceProxyActionIter*
    gupnp_service_proxy_action_iterate (
      GUPnPServiceProxyAction* action
      GError** error
    )

#### Description [src]

Iterate over the out arguments of a finished action.

Available since: 1.6.6

#### Return value

Type: `GUPnPServiceProxyActionIter`

A newly created GUPnPServiceProxyActionIterator, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.